Bug 77245 - Bogus GL_ARB_explicit_attrib_location layout identifier warnings
Bogus GL_ARB_explicit_attrib_location layout identifier warnings
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: glsl-compiler
git
Other All
: medium minor
Assigned To: Tapani Pälli
Intel 3D Bugs Mailing List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-09 17:11 UTC by Kenneth Graunke
Modified: 2014-05-06 05:39 UTC (History)
1 user (show)

See Also:


Attachments
patch to fix the issue (1.76 KB, patch)
2014-04-30 08:04 UTC, Tapani Pälli
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Graunke 2014-04-09 17:11:12 UTC
Compiling the following shader:

#version 150
#extension GL_ARB_explicit_attrib_location : warn
layout(triangle_strip, max_vertices = 4) out;

yields the following warning:

0:3(24): warning: GL_ARB_explicit_attrib_location layout identifier `max_vertices' used

This is bogus - max_vertices is part of 1.50, and was never part of the GL_ARB_explicit_attrib_location extension.  It appears that as people have added more layout qualifiers, they haven't sorted out the warn flags appropriately.

It would be nice to fix this.
Comment 1 Tapani Pälli 2014-04-30 08:04:37 UTC
Created attachment 98220 [details] [review]
patch to fix the issue

Patch fixes the warnings for GL_ARB_explicit_attrib_location.
Comment 2 Tapani Pälli 2014-05-06 05:39:49 UTC
fix pushed to master